Skip to Content
kosemdocs
ReferenceAPITools

List tools

Lists the tools that agents can use, ordered by ID.

GET
/v1/tools

Lists the tools that agents can use, ordered by ID.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Query Parameters

pageSize?integer

Maximum number of items to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

tools*array<>

Tools, ordered by ID.

Example Request
curl -X GET 'https://api.kosem.ai/v1/tools'
Example Response
{
  "nextPageToken": "string",
  "tools": [
    {
      "description": "string",
      "displayName": "string",
      "inputSchema": "string",
      "kind": "SERVER",
      "name": "string"
    }
  ]
}